VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::content::SubscribedLibraryTypes::ProbeResult Class Reference

The `SubscribedLibrary.ProbeResult` class defines the subscription information probe result. More...

List of all members.

## Classes
class | Status
| The `SubscribedLibrary.ProbeResult.Status` enumerated type defines the error status constants for the probe result. More...
## Public Member Functions
| ProbeResult ()
| Creates a default new instance.
vmware.content.SubscribedLibraryTypes.ProbeResult.Status | GetStatus ()
| The status of probe result.
void | SetStatus (vmware.content.SubscribedLibraryTypes.ProbeResult.Status status)
| The status of probe result.
string | GetSslThumbprint ()
| The SSL thumbprint for the remote endpoint.
void | SetSslThumbprint (string sslThumbprint)
| The SSL thumbprint for the remote endpoint.
global::System.Collections.Generic.List < vmware.vapi.std.LocalizableMessage > | GetErrorMessages ()
| If the probe result is in an error status, this field will contain the detailed error messages.
void | SetErrorMessages (global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > errorMessages)
| If the probe result is in an error status, this field will contain the detailed error messages.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `SubscribedLibrary.ProbeResult` class defines the subscription information probe result.

This describes whether using a given subscription URL is successful or if there are access problems, such as SSL errors.

## Constructor & Destructor Documentation

vmware::content::SubscribedLibraryTypes::ProbeResult::ProbeResult | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::SubscribedLibraryTypes::ProbeResult::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::SubscribedLibraryTypes::ProbeResult::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::SubscribedLibraryTypes::ProbeResult::_GetType | ( |  | ) | `[inline]`

bool vmware::content::SubscribedLibraryTypes::ProbeResult::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::SubscribedLibraryTypes::ProbeResult::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::SubscribedLibraryTypes::ProbeResult::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.List<vmware.vapi.std.LocalizableMessage> vmware::content::SubscribedLibraryTypes::ProbeResult::GetErrorMessages | ( |  | ) | `[inline]`

If the probe result is in an error status, this field will contain the detailed error messages.

override int vmware::content::SubscribedLibraryTypes::ProbeResult::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::SubscribedLibraryTypes::ProbeResult::GetSslThumbprint | ( |  | ) | `[inline]`

The SSL thumbprint for the remote endpoint.

vmware.content.SubscribedLibraryTypes.ProbeResult.Status vmware::content::SubscribedLibraryTypes::ProbeResult::GetStatus | ( |  | ) | `[inline]`

The status of probe result.

This will be one of SUCCESS, INVALID_URL, TIMED_OUT, HOST_NOT_FOUND, RESOURCE_NOT_FOUND, INVALID_CREDENTIALS, CERTIFICATE_ERROR, UNKNOWN_ERROR.

void vmware::content::SubscribedLibraryTypes::ProbeResult::SetErrorMessages | ( | global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > | errorMessages | ) | `[inline]`

If the probe result is in an error status, this field will contain the detailed error messages.

void vmware::content::SubscribedLibraryTypes::ProbeResult::SetSslThumbprint | ( | string | sslThumbprint | ) | `[inline]`

The SSL thumbprint for the remote endpoint.

void vmware::content::SubscribedLibraryTypes::ProbeResult::SetStatus | ( | vmware.content.SubscribedLibraryTypes.ProbeResult.Status | status | ) | `[inline]`

The status of probe result.

This will be one of SUCCESS, INVALID_URL, TIMED_OUT, HOST_NOT_FOUND, RESOURCE_NOT_FOUND, INVALID_CREDENTIALS, CERTIFICATE_ERROR, UNKNOWN_ERROR.

override string vmware::content::SubscribedLibraryTypes::ProbeResult::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SubscribedLibraryTypes.cs